Bug 1542080 - Qemu core dump at cirrus_invalidate_region
Summary: Qemu core dump at cirrus_invalidate_region
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-05 14:10 UTC by Guo, Zhiyi
Modified: 2018-11-02 00:37 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 11:04:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3443 None None None 2018-11-01 11:06:44 UTC

Comment 2 Gerd Hoffmann 2018-02-05 14:37:24 UTC
[ some more info cut+pasted ]

upstream has 8 MB for 2.8 and older, and 4 MB for 2.9 and newer machine types.

qemu-kvm traditionally has 16 MB (for rhel6 compatibility).  It should have followed upstream and use 4MB too for 2.9+ (aka rhel-7.4+) machine types (and keep the 16M for the older ones).

Didn't happen for some reason, thats why the assert() can still be triggered unless cirrus memory is explicitly set to 4 MB.

Comment 3 Gerd Hoffmann 2018-02-05 14:41:29 UTC
I don't feel like touching it this late in the RHEL-7.5 cycle.

I think we should take care to fix this when we add the next machine type to qemu-kvm, on the next rebase.  When I remember plans correctly (no more rebases in 7.x) this means for RHEL-8 ...

Comment 4 Gerd Hoffmann 2018-06-13 10:04:47 UTC
OK, we got a new 7.6 machine type, so we can fix this for 7.6.

Comment 6 Miroslav Rezanina 2018-06-19 18:37:26 UTC
Fix included in qemu-kvm-rhev-2.12.0-4.el7

Comment 9 errata-xmlrpc 2018-11-01 11:04:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.